Package org.mockserver.load
Enum Class LoadCheck.Source
- All Implemented Interfaces:
Serializable,Comparable<LoadCheck.Source>,Constable
- Enclosing class:
- LoadCheck
Where in the step's response a
LoadCheck reads its observed value from.-
Nested Class Summary
Nested classes/interfaces inherited from class java.lang.Enum
Enum.EnumDesc<E extends Enum<E>> -
Enum Constant Summary
Enum ConstantsEnum ConstantDescriptionThe JSONPathLoadCheck.getJsonPath()evaluated over the response body.The first value of the response header named byLoadCheck.getHeaderName().The response status code, as a string (e.g. -
Method Summary
Modifier and TypeMethodDescriptionstatic LoadCheck.SourceReturns the enum constant of this class with the specified name.static LoadCheck.Source[]values()Returns an array containing the constants of this enum class, in the order they are declared.
-
Enum Constant Details
-
STATUS
The response status code, as a string (e.g."200"). -
HEADER
The first value of the response header named byLoadCheck.getHeaderName(). -
BODY_JSONPATH
The JSONPathLoadCheck.getJsonPath()evaluated over the response body.
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-